Package org.iirds.dita.ot.plugin.model

# Class ToCNode

java.lang.Object
org.iirds.dita.ot.plugin.model.ToCNode

public class ToCNode extends Object
Represents a (potential) iiRDS DirectoryNode with optional InformationUnit in iiRDS as extracted from the DITA input.

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) List<ToCNode>`
  `children`
  `(package private) String`
  `contentHash`
  `(package private) org.apache.jena.rdf.model.Resource`
  `directoryNode`
  `(package private) org.dita.dost.util.DitaClass`
  `ditaClass`
  `(package private) org.apache.jena.rdf.model.Resource`
  `informationUnit`
  `(package private) boolean`
  `isTopic`
  `(package private) String`
  `language`
  `(package private) String`
  `navtitle`
  `(package private) ToCNode`
  `parent`
  `(package private) Map<String,Object>`
  `properties`
  `(package private) String`
  `title`
  `(package private) String`
  `topicId`
  `(package private) URI`
  `uri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToCNode()`
  `ToCNode(URI uri)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(ToCNode child)`
  `List<ToCNode>`
  `getChildren()`
  `String`
  `getContentHash()`
  `org.apache.jena.rdf.model.Resource`
  `getDirectoryNode()`
  `org.dita.dost.util.DitaClass`
  `getDitaClass()`
  `org.apache.jena.rdf.model.Resource`
  `getInformationUnit()`
  `String`
  `getLanguage()`
  `String`
  `getNavTitle()`
  `ToCNode`
  `getParent()`
  `Map<String,Object>`
  `getProperties()`
  `Object`
  `getProperty(String name)`
  `String`
  `getPropertyAsString(String name)`
  `ToCNode`
  `getRoot()`
  `String`
  `getTitle()`
  `String`
  `getTopicId()`
  `URI`
  `getURI()`
  `boolean`
  `hasContent()`
  `boolean`
  `isDocument()`
  `boolean`
  `isTopic()`
  `void`
  `setContentHash(String contentHash)`
  `void`
  `setDirectoryNode(org.apache.jena.rdf.model.Resource directoryNode)`
  `void`
  `setDitaClass(org.dita.dost.util.DitaClass ditaClass)`
  `void`
  `setInformationUnit(org.apache.jena.rdf.model.Resource informationUnit)`
  `void`
  `setIsDocument()`
  `void`
  `setIsTopic()`
  `void`
  `setLanguage(String language)`
  `void`
  `setNavTitle(String navtitle)`
  `void`
  `setParent(ToCNode parent)`
  `void`
  `setProperty(String name, Object value)`
  `void`
  `setTitle(String title)`
  `void`
  `setTopicId(String topicId)`
  `void`
  `setURI(URI uri)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### uri

    URI uri

  - ### title

    String title

  - ### navtitle

    String navtitle

  - ### topicId

    String topicId

  - ### contentHash

    String contentHash

  - ### ditaClass

    org.dita.dost.util.DitaClass ditaClass

  - ### parent

    ToCNode parent

  - ### directoryNode

    org.apache.jena.rdf.model.Resource directoryNode

  - ### isTopic

    boolean isTopic

  - ### informationUnit

    org.apache.jena.rdf.model.Resource informationUnit

  - ### language

    String language

  - ### children

    List<ToCNode> children

  - ### properties

    Map<String,Object> properties

- ## Constructor Details

  - ### ToCNode

    public ToCNode()

  - ### ToCNode

    public ToCNode(URI uri)

- ## Method Details

  - ### hasContent

    public boolean hasContent()

  - ### isTopic

    public boolean isTopic()

  - ### setIsTopic

    public void setIsTopic()

  - ### setIsDocument

    public void setIsDocument()

  - ### isDocument

    public boolean isDocument()

  - ### getDirectoryNode

    public org.apache.jena.rdf.model.Resource getDirectoryNode()

  - ### setDirectoryNode

    public void setDirectoryNode(org.apache.jena.rdf.model.Resource directoryNode)

  - ### getInformationUnit

    public org.apache.jena.rdf.model.Resource getInformationUnit()

  - ### setInformationUnit

    public void setInformationUnit(org.apache.jena.rdf.model.Resource informationUnit)

  - ### getParent

    public ToCNode getParent()

  - ### getRoot

    public ToCNode getRoot()

  - ### getProperty

    public Object getProperty(String name)

  - ### getPropertyAsString

    public String getPropertyAsString(String name)

  - ### setProperty

    public void setProperty(String name, Object value)

  - ### getProperties

    public Map<String,Object> getProperties()

  - ### setParent

    public void setParent(ToCNode parent)

  - ### getTopicId

    public String getTopicId()

  - ### setTopicId

    public void setTopicId(String topicId)

  - ### getDitaClass

    public org.dita.dost.util.DitaClass getDitaClass()

  - ### setDitaClass

    public void setDitaClass(org.dita.dost.util.DitaClass ditaClass)

  - ### addChild

    public void addChild(ToCNode child)

  - ### getChildren

    public List<ToCNode> getChildren()

  - ### getURI

    public URI getURI()

  - ### setURI

    public void setURI(URI uri)

  - ### setTitle

    public void setTitle(String title)

  - ### getTitle

    public String getTitle()

  - ### getLanguage

    public String getLanguage()

  - ### setLanguage

    public void setLanguage(String language)

  - ### getNavTitle

    public String getNavTitle()

  - ### setNavTitle

    public void setNavTitle(String navtitle)

  - ### getContentHash

    public String getContentHash()

  - ### setContentHash

    public void setContentHash(String contentHash)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`